<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@00E5=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@5B5A</action>
      <action>temp1 =maincpu.mb@5EBA</action>
      <action>temp2 =maincpu.mb@6E74</action>
      <action>temp3 =maincpu.mw@6F67</action>
    </script>
    <script state="run">
      <action>maincpu.mb@5B5A=AD</action>
      <action>maincpu.mb@5EBA=60</action> <!-- Pt 1 Scenery, Pt 2 Star -->
      <action>maincpu.mb@6E74=60</action> <!-- Moving Ships -->
      <action>maincpu.mw@6F67=1290</action> <!-- Bullets -->
    </script>
    <script state="off">
      <action>maincpu.mb@5B5A=temp0 </action>
      <action>maincpu.mb@5EBA=temp1 </action>
      <action>maincpu.mb@6E74=temp2 </action>
      <action>maincpu.mw@6F67=temp3 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0036=00|(maincpu.pb@0036 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire">
    <script state="run">
      <action>maincpu.pb@001E=40|(maincpu.pb@001E BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0043=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel PL1">
    <script state="run">
      <action>maincpu.pd@019F=00990099|(maincpu.pd@019F BAND ~00FF00FF)</action>
      <action>maincpu.pb@01A3=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0044=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel PL2">
    <script state="run">
      <action>maincpu.pd@01A0=00990099|(maincpu.pd@01A0 BAND ~00FF00FF)</action>
      <action>maincpu.pb@01A4=99</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
